Commit dbf4e872 authored by Ondrej Vysocky's avatar Ondrej Vysocky

ENH removed loading of all the Salomon modules and added install script instead #13

parent 7e37f9ad
#!/bin/bash
# script expects Python3 and PyQt5 are available
# RADAR GUI modules
for mod in pip scikit-learn matplotlib packaging seaborn enum34==1.1.6 pwlf
do
python3 -m pip install -U --user $mod
done
#!/bin/sh
# radarGUI
ml GCCcore/6.3.0 \
binutils/2.27-GCCcore-6.3.0 \
GCC/6.3.0-2.27 \
bzip2/1.0.6 \
ncurses/6.0 \
libreadline/7.0 \
zlib/1.2.11 \
Tcl/8.6.6 \
SQLite/3.17.0 \
Tk/8.6.6 GMP/6.1.2 \
gettext/0.19.4 \
XZ/5.2.3 \
Python/3.6.4-GCC-6.3.0-2.27-base \
Py/3.6 pyparsing/2.2.0-Py-3.6 \
pydot/1.2.4-Py-3.6 \
libpng/1.6.29 \
freetype/2.8 \
six/1.11.0-Py-3.6 \
python-dateutil/2.6.1-Py-3.6 \
mkl/2017.4.239 \
numpy/1.13.3-Py-3.6 \
matplotlib/2.1.1-Py-3.6 \
PyQt5/5.11.3-Py-3.6 \
packaging/17.1-Py-3.6 \
seaborn/0.8.1-Py-3.6 \
scikit-learn/0.20.1-Py-3.6
ml PyQt5/5.11.3-Py-3.6
export QT_XKB_CONFIG_ROOT=/usr/share/X11/xkb
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment